net.minecraft.world.gen.structure

## Class MapGenStructure

- java.lang.Object
- - net.minecraft.world.gen.MapGenBase
  - - net.minecraft.world.gen.structure.MapGenStructure

- Direct Known Subclasses:
    MapGenMineshaft, MapGenNetherBridge, MapGenScatteredFeature, MapGenStronghold, MapGenVillage

      public abstract class MapGenStructure
      extends MapGenBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapGenStructure()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `generateStructuresInChunk(World par1World, Random par2Random, int par3, int par4)` Generates structures in specified chunk next to existing structures.
    `ChunkPosition` | `getNearestInstance(World par1World, int par2, int par3, int par4)`
    `boolean` | `hasStructureAt(int par1, int par2, int par3)` Returns true if the structure generator has generated a structure located at the given position tuple.

    - ### Methods inherited from class net.minecraft.world.gen.MapGenBase

      `generate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapGenStructure

          public MapGenStructure()

  - ### Method Detail

    - #### generateStructuresInChunk

          public boolean generateStructuresInChunk(World par1World,
                                          Random par2Random,
                                          int par3,
                                          int par4)

      Generates structures in specified chunk next to existing structures. Does *not* generate StructureStarts.

    - #### hasStructureAt

          public boolean hasStructureAt(int par1,
                               int par2,
                               int par3)

      Returns true if the structure generator has generated a structure located at the given position tuple.

    - #### getNearestInstance

          public ChunkPosition getNearestInstance(World par1World,
                                         int par2,
                                         int par3,
                                         int par4)